Bug 1773269 - maven-surefire-3.0.0-M6 is available
Summary: maven-surefire-3.0.0-M6 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: maven-surefire
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mikolaj Izdebski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1925313 2060276
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-17 04:16 UTC by Upstream Release Monitoring
Modified: 2022-04-22 13:27 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-04-22 13:27:58 UTC
Type: ---


Attachments (Terms of Use)

Description Upstream Release Monitoring 2019-11-17 04:16:54 UTC
Latest upstream release: 3.0.0-M4
Current version/release in rawhide: 2.22.0-5.fc31
URL: http://repo2.maven.org/maven2/org/apache/maven/surefire/surefire/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/1944/

Comment 1 Fabio Valentini 2019-11-17 11:14:16 UTC
Hey Mikolaj, I see you've bumped your maven-surefire package to the 3.0.0 Milestone releases a while ago.
Do you think we can bump to M4 in rawhide as well?

Comment 2 Mikolaj Izdebski 2019-11-18 07:57:37 UTC
(In reply to Fabio Valentini from comment #1)
> Hey Mikolaj, I see you've bumped your maven-surefire package to the 3.0.0
> Milestone releases a while ago.
> Do you think we can bump to M4 in rawhide as well?

I think that this update should be feasible. Moreover, it is recommended that lower-level packages (such as Maven Surefire, which hundreds of packages depend on for running tests) are updated to pre-release versions because "the benefits of the early real-world testing of and upstream collaboration on these key packages far exceeds the risks that they may introduce". [1]

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#_rawhide_devel_master

Comment 3 Upstream Release Monitoring 2020-06-17 22:05:44 UTC
Latest upstream release: 3.0.0-M5
Current version/release in rawhide: 2.22.0-7.fc33
URL: http://maven.apache.org/surefire/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/1944/

Comment 4 Fedora Admin user for bugzilla script actions 2020-08-05 09:20:21 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.

Comment 5 Fabio Valentini 2021-02-05 16:15:03 UTC
I have built 3.0.0-M4 for rawhide:
https://koji.fedoraproject.org/koji/buildinfo?buildID=1703958

the update to 3.0.0-M5 will follow later.

Comment 6 Fedora Admin user for bugzilla script actions 2021-04-28 00:22:46 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 7 Mikolaj Izdebski 2021-05-04 18:03:21 UTC
I'm not planning to update to M5 for now due to outstanding issues that will be fixed in next milestones.

Comment 8 Upstream Release Monitoring 2022-04-04 02:02:04 UTC
Latest upstream release: 3.0.0-M6
Current version/release in rawhide: 3.0.0~M4-6.fc36
URL: http://maven.apache.org/surefire/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/1944/

Comment 9 Mikolaj Izdebski 2022-04-22 01:08:45 UTC
Pull request posted: https://src.fedoraproject.org/rpms/maven-surefire/pull-request/4

Comment 10 Mikolaj Izdebski 2022-04-22 12:49:14 UTC
Pull request was merged. Build will be done shortly.

Comment 11 Mikolaj Izdebski 2022-04-22 13:27:58 UTC
Bodhi update for Fedora 37 was pushed to stable:
https://bodhi.fedoraproject.org/updates/FEDORA-2022-fe9b238920


Note You need to log in before you can comment on or make changes to this bug.